# Asterisk Project : Asterisk 13 Function_MATH

Created by wikibot on Aug 08, 2014

# MATH()

### Synopsis

Performs Mathematical Functions.

### Description

Performs mathematical functions based on two parameters and an operator. The returned value type is type

Example: Set(i=${MATH(123%16,int)}) - sets var i=11

### Syntax

    MATH(expression,type)

##### Arguments

- `expression` - Is of the form: number1 op number2 where the possible values for op are:
  +,-,/,*,%,<<,>>,^,AND,OR,XOR,<,>,<=,>=,== (and behave as their C equivalents)
- `type` - Wanted type of result:
  f, float - float(default)
  i, int - integer
  h, hex - hex
  c, char - char

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538